Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166019 - Qt 4.5.1: designer displays blank form (HelloQtWorld sample only)
Qt 4.5.1: designer displays blank form (HelloQtWorld sample only)
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexey Vladykin
issues@cnd
qtsupport 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 11:00 UTC by soldatov
Modified: 2009-07-17 14:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2009-05-26 11:00:56 UTC
Platform: Windows
Scenario:
- Install Qt 4.5.1 and add path to this library into PATH variable
- Launch NetBeans
- Create HelloQtWorld sample
- Open HelloForm.ui file in Designer from IDE
==> Designer is started, but Qt form is empty

I haven't this problem in Qt 4.3 and Qt 4.4
Workaround: delete these lines from HelloForm.ui file

  <property name="sizePolicy" >
   <sizepolicy vsizetype="Fixed" hsizetype="Fixed" >
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
Comment 1 Alexey Vladykin 2009-06-10 16:46:14 UTC
Fixed in http://hg.netbeans.org/cnd-main/rev/a8f40ae5d727
Comment 2 Quality Engineering 2009-06-11 08:50:03 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a8f40ae5d727
User: Alexey Vladykin <alexey_vladykin@netbeans.org>
Log: #166019 Qt 4.5.1: designer displays blank form (HelloQtWorld sample only)
Comment 3 soldatov 2009-06-26 10:51:41 UTC
verified in latest (200906251410) build
Comment 4 pgebauer 2009-07-01 09:08:07 UTC
The fix has been ported into the release61_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/546cb5b30300
Comment 5 pgebauer 2009-07-01 09:19:57 UTC
The fix has been ported into the release67_fixes repository, of course. The release61_fixes is a typo.
Comment 6 dnikitin 2009-07-16 14:19:57 UTC
verified in IDE 6.7.1 RC (Build 200907150227)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo